--- configure.ac.orig	2016-03-12 19:46:15.000000000 +0000
+++ configure.ac	2017-05-13 10:07:08.000000000 +0000
@@ -351,16 +351,17 @@
              [AC_MSG_NOTICE([Will build dynamically detected sized deallocation operators])],
              [AC_MSG_NOTICE([Will not build sized deallocation operators])])])
 
-AC_CACHE_CHECK([if C++ compiler supports -fsized-deallocation],
-               [perftools_cv_sized_deallocation_result],
-               [AC_LANG_PUSH(C++)
-                OLD_CXXFLAGS="$CXXFLAGS"
-                CXXFLAGS="$CXXFLAGS -fsized-deallocation"
-                AC_COMPILE_IFELSE([AC_LANG_PROGRAM(,)],
-                                  perftools_cv_sized_deallocation_result=yes,
-                                  perftools_cv_sized_deallocation_result=no)
-                CXXFLAGS="$OLD_CXXFLAGS"
-                AC_LANG_POP(C++)])
+AS_IF([test "x$enable_sized_delete" = xyes -o "x$enable_dyn_sized_delete" = xyes],
+      [AC_CACHE_CHECK([if C++ compiler supports -fsized-deallocation],
+                      perftools_cv_sized_deallocation_result,
+                      [AC_LANG_PUSH(C++)
+                       OLD_CXXFLAGS="$CXXFLAGS"
+                       CXXFLAGS="$CXXFLAGS -fsized-deallocation"
+                       AC_COMPILE_IFELSE([AC_LANG_PROGRAM(,)],
+                                         perftools_cv_sized_deallocation_result=yes,
+                                         perftools_cv_sized_deallocation_result=no)
+                       CXXFLAGS="$OLD_CXXFLAGS"
+                       AC_LANG_POP(C++)])])
 
 AM_CONDITIONAL(HAVE_SIZED_DEALLOCATION,
                test "$perftools_cv_sized_deallocation_result" = yes)
--- src/libc_override_gcc_and_weak.h.orig	2016-03-06 01:11:39.000000000 +0000
+++ src/libc_override_gcc_and_weak.h	2017-05-13 10:07:08.000000000 +0000
@@ -127,13 +127,6 @@
 void operator delete[](void *p, size_t size) throw()
   __attribute__((ifunc("resolve_deletearray_sized")));
 
-#else /* !ENABLE_SIZED_DELETE && !ENABLE_DYN_SIZED_DELETE */
-
-void operator delete(void *p, size_t size) throw()
-  ALIAS(tc_delete);
-void operator delete[](void *p, size_t size) throw()
-  ALIAS(tc_deletearray);
-
 #endif /* !ENABLE_SIZED_DELETE && !ENABLE_DYN_SIZED_DELETE */
 
 extern "C" {
